ShoutCondition Class Reference

Shout option condition. More...

`#include <ql/methods/finitedifferences/shoutcondition.hpp>`

Inheritance diagram for ShoutCondition:
[legend]

## Public Member Functions

| ShoutCondition (const Array &intrinsicValues, Time resTime, Rate rate)
QL_DEPRECATED | ShoutCondition (Option::Type type, Real strike, Time resTime, Rate rate)
void | applyTo (Array &a, Time t) const
Public Member Functions inherited from StepCondition< array_type >
virtual void | applyTo (array_type &a, Time t) const =0

## Detailed Description

Shout option condition.

A shout option is an option where the holder has the right to lock in a minimum value for the payoff at one (shout) time during the option's life. The minimum value is the option's intrinsic value at the shout time.

## Constructor & Destructor Documentation

## ShoutCondition()

QL_DEPRECATED ShoutCondition | ( | Option::Type | type,
|  | Real | strike,
|  | Time | resTime,
|  | Rate | rate
| ) |  |

Deprecated:
  Use the other constructor. Deprecated in version 1.19.